favorite migration fails on =

Bug #655175 reported by Didier Roche on 2010-10-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Didier Roche
unity (Ubuntu)
Medium
Unassigned

Bug Description

   File "/usr/lib/unity/migrate_favorites.py", line 46, in register_new_app
16:32:29 dbarth | client.set_string('%s/desktop_file' % app_gconf_key_path, launcher_location)
16:32:30 dbarth | glib.GError: Bad key or directory name: "/desktop/unity/launcher/favorites/app-chrome-https___www.google.com_calendar_hosted_canonical.com_render_tab=oc.desktop/desktop_file": `=' is an invalid character in
                  | key/directory names

-> replacing = to _ as for other special characters.

Related branches

Didier Roche (didrocks) on 2010-10-05
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
Didier Roche (didrocks) on 2010-10-05
Changed in unity:
status: Triaged → Fix Committed
David Barth (dbarth) on 2010-10-06
Changed in unity:
assignee: nobody → Didier Roche (didrocks)
milestone: none → 0.2-sru
Didier Roche (didrocks) on 2010-11-25
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.2.0-0ubuntu1

---------------
unity (3.2.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Clicking a second time on a menu item does not dismiss it (LP: #661048)
    - FavoriteStore re-ordering support (LP: #676106)
    - Quicklist menu item testing - part 1 (LP: #676030)
    - Base Quicklist Menu Items (LP: #676013)
    - Tooltip launcher don't appear in unity compiz (LP: #675486)
    - The migration script should be migrated to gsettings
      (LP: #680873, #652785, #655175)
    - Launcher clickable-area does not extend to left edge of screen
      (LP: #677573)
    - The ws switcher is always visible if launcher in floating and autohide
      mode (LP: #677554)
    - add application startup notification (LP: #638319)
    - Unity appears on top of gnome-screensaver (LP: #677705)
    - launcher tooltips hover over gnome-screensaver (LP: #652937)
  * debian/control:
    - don't recommend ubuntu-netbook-default-settings anymore
    - change the description
    - bump build-dep on latest nux
    - add libstartup-notification0-dev build-dep
  * debian/rules:
    - try a slighter best solution for netbook-launcher virtual package, thanks
      geser
  * debian/unity.install:
    - no more gconf file to install
  * debian/libunity3.symbols:
    - updated to latest and greatest
 -- Didier Roche <email address hidden> Thu, 25 Nov 2010 19:46:58 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers